import java.io.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.Color;

/**
 * Classe qui gere l'affichage quand on a appuye sur
 * le sous menu but du jeu du menu Aide.
 *
 * @version 1.0 17 Nov 1999
 * @author Stephane Caillette & Thomas SALAMITO
 */
public class Help extends JDialog implements ActionListener {
    /** Zone ou on va ecrire notre texte */
    JTextArea helptext;
    
    // constructeur
    /**
     * Construit notre fenetre.
     *  @param parent La Fenetre parent.
     *  @param bool Si bool = vrai, la fenetre est affichee.
     */ 
    public Help(JFrame parent,boolean bool) {
	super(parent,bool);
	// Taille de la fenetre.
	setSize(600,230);
	// On cree un JPanel.
	JPanel panelText = new JPanel();
	// Le fond est gris.
	panelText.setBackground(Color.lightGray);
	
	// Espace de 10 lignes et 50 colonnes ou on ecrit.
	helptext = new JTextArea(10,50);
	helptext.setBackground(Color.lightGray);
	// on ne peut pas ecrire dedans
	helptext.setEditable(false);
	// On rentre le texte
	helptext.setText("But du Jeu :"+'\n'+'\n'+ 
			 "Le jeu consiste a recuperer la clef" + '\n'+
			 "necessaire pour ouvrir la porte. Si vous voulez vous pouvez recuperez"+'\n'+
			 "les cadeaux(100 points). Vous pouvez egalement faire des trous pour"+'\n'+
			 "faire tomber les monstres dedans."+'\n'+'\n'+
			 "Que la chance soit avec vous.");
	// On rajoute le texte au JPanel.
	panelText.add(helptext);
	
	// On cree un bouton ok.
	JButton ok = new JButton("OK",new ImageIcon ("./sprite/ok.gif"));
	ok.setActionCommand("ok");
	ok.addActionListener(this);
	// taille du boutton
	ok.setSize(50,50);
	// On ajoute le bouton au JPanel
	panelText.add(ok);
	
	// Le nom de la fenetre.
	setTitle("But de Jeu");
	
	// Pour ne pas la redimensionner.
	setResizable(false);
	getContentPane().add(panelText);
    
    }
    
    /**
     * Elle positionne la fenetre au milieu de l'ecran.
     * @param b Pour savoir si on affiche ou non.
     */
    public void setVisible (boolean b) {
        if (b) {
            int largeurFrameParent = getParent().getBounds().width;
            int hauteurFrameParent = getParent().getBounds().height;
            int posParentX = getParent().getBounds().x;
            int posParentY = getParent().getBounds().y;
            int largeurFrame = getSize().width;
            int hauteurFrame = getSize().height;
            int posX = (posParentX + (largeurFrameParent  - largeurFrame)/2);
            int posY = (posParentY + (hauteurFrameParent - hauteurFrame)/2);
            setLocation(posX, posY);
        }
        super.setVisible(b);
    }
    
    /**
     * Elle recupere les evenemnents des
     * differents menus.
     * @param e Nature de l'evenement recu.
     */
    public void actionPerformed(ActionEvent e) {
	if (e.getActionCommand().equals("ok"))
	    {
		setVisible(false);
	    }
    } 
} 
