import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.Color;

/**
 * Classe qui gere l'affichage quand on a appuye sur
 * le sous menu quitter du menu Fichier
 *
 * @version 1.0 17 Nov 1999
 * @author Stephane Caillette & Thomas SALAMITO
 */
public class Quit extends JDialog implements ActionListener {
    /** On definit 2 JButtons pour determiner si on veut partir ou non. */
    private JButton oui, non;
    /** La JFrame fenetrePrincipale. */
    private JFrame parent;
    /** Le label texte. */
    private JLabel label1;
    /** Le JPanel dans lequel on insere le JLabel et les 2 JButtons. */ 
    private JPanel p; 
     
    // Constructeur
    /**
     * Construit notre fenetre.
     *  @param parent La Fenetre parent.
     *  @param reponse Si reponse = vrai, la fenetre est affichee.
     */
    public Quit(JFrame parent, boolean reponse) {
	super(parent, reponse);
        this.parent = parent;
	// Taille de la fenetre.
	setSize (400, 100);
	// On cree un JPanel.
	p = new JPanel();
	// Le fond est gris.
	setBackground(Color.lightGray);
	// On cree le JLabel.
	label1 = new JLabel ("Desirez vous vraiment quitter le jeu ?",JLabel.CENTER);
	label1.setBackground(Color.lightGray);
	// On ajoute le JLabel au JPanel.
	p.add(label1);
	
	// On cree le JButton oui.
        oui = new JButton(" OUI ",new ImageIcon ("./sprite/ok.gif"));
        oui.addActionListener(this);
        oui.setActionCommand("oui");
	// On ajoute le JButton oui au JPanel.
        p.add(oui);
        
	// On cree le JButton non.
        non = new JButton(" NON ",new ImageIcon ("./sprite/non.gif"));
        non.addActionListener(this);
        non.setActionCommand("non");
	// On ajoute le JButton non au JPanel.
        p.add(non);
         
	getContentPane().add(p, BoxLayout.X_AXIS);
	// Le nom de la fenetre.
	setTitle("LODE RUNNER");
	// Pour ne pas la redimensionner.
        setResizable(false);
    }
    
    /**
     * Elle recupere les evenemnents des
     * differents menus.
     * @param event Nature de l'evenement recu.
     */
    public void actionPerformed(ActionEvent event) {
        String menuItem = event.getActionCommand();
        if (menuItem.equals ("oui")){
            dispose();
            parent.setVisible(false);
            parent.dispose();
            System.out.println ("Revenez bientot");
            System.exit(0);
        }
        else if (menuItem.equals ("non")) {
            setVisible(false);
        }
    }

    /**
     * Elle positionne la fenetre au milieu de l'ecran.
     * @param b Pour savoir si on affiche ou non.
     */
    public void setVisible (boolean b) {
        if (b) {
            int largeurFrameParent = getParent().getBounds().width;
            int hauteurFrameParent = getParent().getBounds().height;
            int posParentX = getParent().getBounds().x;
            int posParentY = getParent().getBounds().y;
            int largeurFrame = getSize().width;
            int hauteurFrame = getSize().height;
            int posX = (posParentX + (largeurFrameParent  - largeurFrame)/2);
            int posY = (posParentY + (hauteurFrameParent - hauteurFrame)/2);
            setLocation(posX, posY);
        }
        super.setVisible(b);
    }
}     
