import java.io.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.Color;

/**
 * Classe qui gere l'affichage quand on a appuye sur
 * le sous menu version du menu Aide.
 *
 * @version 1.0 17 Nov 1999
 * @author Stephane Caillette & Thomas SALAMITO
 */
public class Version extends JDialog implements ActionListener {
    /** Zone ou on va ecrire notre texte */
    JTextArea helptext;

    /**
     * Construit notre fenetre.
     *  @param parent La Fenetre parent.
     *  @param bool Si bool = vrai, la fenetre est affichee.
     */ 
    public Version(JFrame parent,boolean bool) {
	super(parent,bool);
	// Taille de la fenetre.
	setSize(400,200);
	// On cree un JPanel.
	JPanel panelText = new JPanel();
	// Le fond est gris.
	panelText.setBackground(Color.lightGray);
	// espace de 8 lignes et 20 colonnes ou on ecrit
	helptext = new JTextArea(8,20);
	// on ne peut pas ecrire dedans
	helptext.setEditable(false);
	helptext.setBackground(Color.lightGray);
	// On rentre le texte
	helptext.setText("Version 1.0 :"+'\n'+'\n'+ 
			 "realise par :" + '\n'+ 
			 "CAILLETTE Stephane et SALAMITO Thomas"+'\n'+
			 "Etudiants en Maitrise d'Informatique"+'\n'+
			 "Encadre par BUFFA Michel et GRIN Richard.");
	// On rajoute le texte au JPanel.
	panelText.add(helptext);

	// On cree un bouton ok.
	JButton ok = new JButton("OK",new ImageIcon ("./sprite/ok.gif"));
	ok.setActionCommand("ok");
	ok.addActionListener(this);
	// taille du boutton
	ok.setSize(50,50);
	// On ajoute le bouton au JPanel
	panelText.add(ok);
    
    // Le nom de la fenetre
    setTitle("But de Jeu");
    
    // Pour ne pas la redimensionner
    setResizable(false);
    getContentPane().add(panelText);
    }
    
    /**
     * Elle positionne la fenetre au milieu de l'ecran.
     * @param b Pour savoir si on affiche ou non.
     */
    public void setVisible (boolean b) {
        if (b) {
            int largeurFrameParent = getParent().getBounds().width;
            int hauteurFrameParent = getParent().getBounds().height;
            int posParentX = getParent().getBounds().x;
            int posParentY = getParent().getBounds().y;
            int largeurFrame = getSize().width;
            int hauteurFrame = getSize().height;
            int posX = (posParentX + (largeurFrameParent  - largeurFrame)/2);
            int posY = (posParentY + (hauteurFrameParent - hauteurFrame)/2);
            setLocation(posX, posY);
        }
        super.setVisible(b);
    }
    
    /**
     * Elle recupere les evenemnents des
     * differents menus.
     * @param e Nature de l'evenement recu.
     */
    public void actionPerformed(ActionEvent e) {
	if (e.getActionCommand().equals("ok"))
	    {
		setVisible(false);
	    }
    } 
} 
