/**
 * Classe qui gere les dalles ou on veut
 * creuser. Tout est gere par un thread.
 *
 *  @version 1.0 17 Nov 1999
 *  @author Stephane Caillette & Thomas SALAMITO
 */
public class Dalle implements Runnable {

  // attribut
  /** x,y Positions de la dalle ou on veut creuse. */
  private int x, y;
  /** thread gere les actions du heros sur les dalles. */ 
  private Thread thread;

  // constructeur
  /**
   * Gere la dalle (x,y) et lance un thread.
   * @param x Abscisse de la dalle ou on veut creuser.
   * @param y Ordonnee de la dalle ou on veut creuser.
   */
  public Dalle(int x, int y) {
    this.x = x;
    this.y = y;
    thread = new Thread(this);
    thread.start();
  }

  // methode
   /**
   * Gere le thread.
   */
  public void run() {
    if(Level.mur(x, y)) {
      Level.faireUnTrou(x, y);
      try {
	Thread.sleep(5000); // plus de dalle pendant 5 secondes
      } catch(InterruptedException e) {
	System.err.println("CLASS Dalle : sleep erreur !");
	e.printStackTrace();
      }
      Level.placerMur(x, y);
    }
  }

}

