/**
 * Classe qui gere l'interaction de la dynamite
 * avec le decors et si on peut placer celle-ci
 * a l'endroit (x,y).
 *
 * @version 1.0 17 Nov 1999
 * @author Stephane Caillette & Thomas SALAMITO
 */
public class Dynamite implements Runnable {

  // attribut
  /** Position de la dynamite dans le decors. */
  private int x, y;
  /** thread qui gere l'action de la dynamite. */
  private Thread thread;

  // constructeur
  /**
   * Place la dynamite a l'endroit voulu
   * @param x Abscisse de la dynamite
   * @param y Ordonnee de la dynamite
   */
  public Dynamite(int x, int y) {
    this.x = x;
    this.y = y;
    thread = new Thread(this);
    thread.start();
  }

  // methode 
  /**
   * gere le thread de la dynamite.
   * Cette methode  determine l'endroit ou on peut la poser
   * et l'effet de la dynamite sur le decors.
   */
  public void run() {
    if(!Level.mur(x, y) && (Level.echelle(x, y - Sprite.getTaille()) ||
			    Level.mur(x, y - Sprite.getTaille()))) {
      Level.placerDynamite(x, y);
      try {
	Thread.sleep(5000); // 5 secondes avant le BOOOMMM !!
      } catch(InterruptedException e) {
	System.err.println("CLASS Dynamite : sleep erreur !");
	e.printStackTrace();
      }
      Level.faireUnTrou(x - Sprite.getTaille(), y - Sprite.getTaille());
      Level.faireUnTrou(x, y - Sprite.getTaille());
      Level.faireUnTrou(x + Sprite.getTaille(), y - Sprite.getTaille());
      Level.faireUnTrou(x - Sprite.getTaille(), y);
      Level.faireUnTrou(x, y);
      Level.faireUnTrou(x + Sprite.getTaille(), y);
      Level.faireUnTrou(x - Sprite.getTaille(), y + Sprite.getTaille());
      Level.faireUnTrou(x, y + Sprite.getTaille());
      Level.faireUnTrou(x + Sprite.getTaille(), y + Sprite.getTaille());
    }
  }

}
