import java.awt.*;
import java.awt.event.*;

/**
 * Classe qui gere l'affichage quand on a appuye sur
 * le sous menu quitter du menu Fichier
 *
 * @version 1.0 17 Nov 1999
 * @author Stephane Caillette & Thomas SALAMITO
 */
public class Quit extends Dialog implements ActionListener {
    /** On definit 2 Buttons pour determiner si on veut partir ou non. */
    private Button oui, non;
    /** La Frame fenetrePrincipale. */
    private Frame parent;

    /**
     * Construit notre fenetre.
     *  @param parent La Fenetre parent.
     *  @param reponse Si reponse = vrai, la fenetre est affichee.
     */
    public Quit(Frame parent, boolean reponse) {
        super(parent, reponse);
        this.parent = parent;
        // Taille de la fenetre.
        setSize (500, 500);
        // On cree le Label.
        Label label1 = new Label ("Desirez vous vraiment quitter le jeu ?",Label.CENTER);
	// On ajoute le Label au Panel.
        add(label1, BorderLayout.NORTH);
        // On cree un Panel.
        Panel p = new Panel();
        
	// On cree le Button oui.
        oui = new Button(" OUI ");
        oui.addActionListener(this);
        oui.setActionCommand("oui");
	// On ajoute le Button oui au Panel.
        p.add(oui);

        // On cree le JButton non.
        non = new Button(" NON ");
        non.addActionListener(this);
        non.setActionCommand("non");
        // On ajoute le Button non au Panel.
        p.add(non);
        // On ajoute le Panel a fenetre principal.
        add(p, BorderLayout.CENTER);
        // Le nom de la fenetre.
        setTitle("LODE RUNNER");
        // Pour ne pas la redimensionner.
        setResizable(false);
        pack();
    }

    /**
     * Elle recupere les evenemnents des
     * differents menus.
     * @param event Nature de l'evenement recu.
     */
    public void actionPerformed(ActionEvent event) {
        String menuItem = event.getActionCommand();
        if (menuItem.equals ("oui")){
            dispose();
            parent.setVisible(false);
            parent.dispose();
            System.out.println ("Revenez bientot");
            System.exit(0);
        }
        else if (menuItem.equals ("non")) {
            setVisible(false);
        }
    }

    /**
     * Elle positionne la fenetre au milieu de l'ecran.
     * @param b Pour savoir si on affiche ou non.
     */
    public void setVisible (boolean b) {
        if (b) {
            int largeurFrameParent = getParent().getBounds().width;
            int hauteurFrameParent = getParent().getBounds().height;
            int posParentX = getParent().getBounds().x;
            int posParentY = getParent().getBounds().y;
            int largeurFrame = getSize().width;
            int hauteurFrame = getSize().height;
            int posX = (posParentX + (largeurFrameParent  - largeurFrame)/2);
            int posY = (posParentY + (hauteurFrameParent - hauteurFrame)/2);
            setLocation(posX, posY);
        }
        super.setVisible(b);
    }
}     

